--- a/files/internals/functions.apf
+++ b/files/internals/functions.apf
@@ -152,7 +152,7 @@ fi
 }
 
 check_rab() {
-if [ "$RAB" == "1" ] && [ ! -f "/lib/modules/$(uname -r)/kernel/net/ipv4/netfilter/ipt_recent.$MEXT" ]; then
+if [ "$RAB" == "1" ] && [ `grep -c "recent" /proc/net/ip_tables_matches` == "0" ]; then
 	RAB="0"
 	eout "{rab} force set RAB disabled, kernel module ipt_recent not found."
 fi
